docs

Get a payment link by ID

Retrieves a payment link with all related data including: - Line items with prices and products - Custom fields with dropdown options - After completion settings

GET
/payment-links/{id}
  Retrieves a payment link with all related data including:
  - Line items with prices and products
  - Custom fields with dropdown options
  - After completion settings
AuthorizationBearer <token>

API key for merchant integrations. Send as Authorization: Bearer <your key>.

In: header

Path Parameters

id*string

Payment link ID

Response Body

application/json

curl -X GET "https://example.com/payment-links/string"
{
  "id": "plink_abc123",
  "merchantId": "mer_xyz789",
  "active": true,
  "expiresAt": "string",
  "currency": "EGP",
  "computedAmount": 100000,
  "nameCollection": false,
  "billingAddressCollection": false,
  "shippingAddressCollection": false,
  "phoneNumberCollection": false,
  "allowPromotionCodes": false,
  "submitType": "PAY",
  "customerCreation": "always",
  "afterCompletion": {
    "type": "redirect",
    "redirect": {
      "url": "string"
    },
    "hostedConfirmation": {
      "customMessage": "string",
      "returnUrl": "string"
    }
  },
  "lineItems": [
    {
      "id": "li_abc123",
      "quantity": 1,
      "price": {},
      "adjustableQuantity": {},
      "amountSubtotal": 200000,
      "amountTotal": 200000,
      "amountDiscount": 0,
      "amountTax": 0,
      "currency": "EGP",
      "description": "Premium Plan - Monthly",
      "presentmentDetails": {}
    }
  ],
  "customFields": [
    {
      "label": "Company Name",
      "type": "TEXT",
      "isOptional": false,
      "hasLimits": false,
      "limitType": "BETWEEN",
      "minCharacters": 5,
      "maxCharacters": 100,
      "dropdownOptions": [
        {}
      ]
    }
  ],
  "feeConfig": {
    "feesPassThrough": false,
    "vatCollectionEnabled": false,
    "vatCollectionRate": 1400,
    "source": "merchant"
  },
  "metadata": {},
  "brandingSettings": {
    "colorMode": "light",
    "borderStyle": "rounded",
    "spacing": "condensed",
    "inputSize": "small",
    "inputStyle": "flat",
    "formLayout": "compact",
    "colors": {
      "primary": "string",
      "primaryForeground": "string",
      "background": "string",
      "foreground": "string",
      "border": "string",
      "input": "string",
      "ring": "string",
      "muted": "string",
      "mutedForeground": "string",
      "accent": "string",
      "accentForeground": "string",
      "destructive": "string"
    },
    "fontFamily": "string"
  },
  "paymentMethodConfigurationId": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
Empty